PHP startup errors concerning mbstring.so



  • Is there a reason to worry?

    Crash report begins.  Anonymous machine information:
    
    amd64
    11.1-RELEASE-p7
    FreeBSD 11.1-RELEASE-p7 #575 r313908+2d610b9dd3f(RELENG_2_4): Wed Apr  4 19:08:10 CDT 2018     root@buildbot2.netgate.com:/builder/ce/tmp/obj/builder/ce/tmp/FreeBSD-src/sys/pfSense
    
    Crash report details:
    
    PHP Errors:
    [05-Apr-2018 02:40:05 UTC] PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/mbstring.so' - Shared object "libonig.so.4" not found, required by "mbstring.so" in Unknown on line 0
    [05-Apr-2018 02:40:05 UTC] PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/mbstring.so' - Shared object "libonig.so.4" not found, required by "mbstring.so" in Unknown on line 0
    [05-Apr-2018 02:40:05 UTC] PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/mbstring.so' - Shared object "libonig.so.4" not found, required by "mbstring.so" in Unknown on line 0
    [05-Apr-2018 02:40:06 UTC] PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/mbstring.so' - Shared object "libonig.so.4" not found, required by "mbstring.so" in Unknown on line 0
    [05-Apr-2018 02:40:06 UTC] PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/mbstring.so' - Shared object "libonig.so.4" not found, required by "mbstring.so" in Unknown on line 0
    [05-Apr-2018 02:40:06 UTC] PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/mbstring.so' - Shared object "libonig.so.4" not found, required by "mbstring.so" in Unknown on line 0
    [05-Apr-2018 02:40:06 UTC] PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/mbstring.so' - Shared object "libonig.so.4" not found, required by "mbstring.so" in Unknown on line 0
    [05-Apr-2018 02:40:06 UTC] PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/mbstring.so' - Shared object "libonig.so.4" not found, required by "mbstring.so" in Unknown on line 0
    [05-Apr-2018 02:40:06 UTC] PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/mbstring.so' - Shared object "libonig.so.4" not found, required by "mbstring.so" in Unknown on line 0
    [05-Apr-2018 02:40:06 UTC] PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/mbstring.so' - Shared object "libonig.so.4" not found, required by "mbstring.so" in Unknown on line 0
    [05-Apr-2018 02:40:06 UTC] PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/mbstring.so' - Shared object "libonig.so.4" not found, required by "mbstring.so" in Unknown on line 0
    [05-Apr-2018 02:40:07 UTC] PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/mbstring.so' - Shared object "libonig.so.4" not found, required by "mbstring.so" in Unknown on line 0
    [05-Apr-2018 02:40:07 UTC] PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/mbstring.so' - Shared object "libonig.so.4" not found, required by "mbstring.so" in Unknown on line 0
    [05-Apr-2018 02:40:07 UTC] PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/mbstring.so' - Shared object "libonig.so.4" not found, required by "mbstring.so" in Unknown on line 0
    
    Filename: /var/crash/minfree
    2048
    


  • Happened once after upgrade to a new dev version i think.. ive transmitted something similar(didnt care to store the error so not 100% sure it was the same).

    Or does it happen again for you afterwards.? Ive not seen it again yet..



  • Yes, looks like it appeared only once — I've upgraded to the next snapshot and no errors this time. So it can be safely ignored.


  • Rebel Alliance Developer Netgate

    That happens sometimes when there is a shared library version bump or similar change on upgrade. As the firewall shuts down, a script may fire off an error like that and fail, but once it reboots everything is on the new versions and works. So unless it keeps happening, it's safe to ignore.



  • I got this error too and now NRPE is no longer starting, not sure if this is related.

    
    Apr 7 10:16:28	root		/usr/local/etc/rc.d/nrpe2.sh: WARNING: run_rc_command: cannot run /usr/local/sbin/nrpe2
    Apr 7 10:16:28	root		/usr/local/etc/rc.d/nrpe2.sh: WARNING: run_rc_command: cannot run /usr/local/sbin/nrpe2
    Apr 7 10:14:13	root		/usr/local/etc/rc.d/nrpe2.sh: WARNING: run_rc_command: cannot run /usr/local/sbin/nrpe2
    Apr 7 10:05:09	pkg-static		pfSense-pkg-nrpe reinstalled: 2.3.2_2 -> 2.3.2_2
    Apr 7 10:05:09	php		/etc/rc.packages: Successfully installed package: nrpe.
    Apr 7 10:05:09	php		/etc/rc.packages: Beginning package installation for nrpe .
    Apr 7 10:05:08	nrpe	77707	Cannot remove pidfile '/var/run/nrpe2.pid' - check your privileges.
    Apr 7 10:05:08	pkg-static		nrpe3-3.2.1 installed
    
    

  • Rebel Alliance Developer Netgate

    Not related. NRPE needs work on 2.4.4, the NRPE2 ports were removed from FreeBSD, so it needs some slight adjustments for nrpe3, mostly changing some filename/path references from nrpe2 to nrpe3


Log in to reply